<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelService extends Model

{
    protected $table = 'services'; // Nama tabel di database
    protected $primaryKey = 'id_service'; // Primary key tabel
    protected $allowedFields = ['name', 'description', 'price', 'duration_minutes']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_service', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_service
     *
     * @param int $id_service
     * @return array|null
     */
    public function getDataById($id_service)
    {
        return $this->where('id_service', $id_service)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_service
     * @param array $data
     * @return bool
     */
    public function updateData($id_service, $data)
    {
        return $this->update($id_service, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_service
     * @return bool
     */
    public function deleteData($id_service)
    {
        return $this->delete($id_service);
    }
}
